How to "swap out" underlying ImageMagick version?

IMagick is a native PHP extension to create and modify images using the ImageMagick API. ImageMagick Studio LLC did not write nor does it maintain the IMagick extension, however, IMagick users are welcome to discuss the extension here.
Post Reply
ojensen5115
Posts: 8
Joined: 2018-03-26T14:08:58-07:00
Authentication code: 1152

How to "swap out" underlying ImageMagick version?

Post by ojensen5115 » 2018-04-07T22:06:02-07:00

Currently I have the following configuration set up:

imagick module version: 3.4.3RC2
imagick classes: Imagick, ImagickDraw, ImagickPixel, ImagickPixelIterator, ImagickKernel
Imagick compiled with ImageMagick version: ImageMagick 6.9.7-4 Q16 x86_64 20170114 http://www.imagemagick.org
Imagick using ImageMagick library version: ImageMagick 6.9.7-4 Q16 x86_64 20170114 http://www.imagemagick.org
ImageMagick release date: 20170114

To work around a bug in this version of ImageMagick, I need to be using the beta version in which it is fixed. How would I go about swapping out the underlying ImageMagick library, minimizing downtime?

Bonzo
Posts: 2968
Joined: 2006-05-20T08:08:19-07:00
Location: Cambridge, England

Re: How to "swap out" underlying ImageMagick version?

Post by Bonzo » 2018-04-08T02:30:19-07:00

Once compiled, Imagick should be run with the same version of ImageMagick that it was compiled against. Running against a different version of ImageMagick is known to cause stability issues, and so is not recommended or supported.
You may be lucky just updating Imagemagick.

ojensen5115
Posts: 8
Joined: 2018-03-26T14:08:58-07:00
Authentication code: 1152

Re: How to "swap out" underlying ImageMagick version?

Post by ojensen5115 » 2018-04-08T09:17:20-07:00

Thanks, I'll give that a try. Hopefully not too much has changed between 6.9.7-4 and 6.9.9-41.

I'm having some trouble getting it set up -- I installed 6.9.9-41 via checkinstall and restarted Apache, but phpinfo still shows 6.9.7-4 to be in use. Removing the old version of imagemagick via apt (this is on a debian system) rips out php-imagick entirely. Reinstall php-imagick results in the old versions of imagemagick getting pulled back in.

If you have any experience fighting with the Debian package manager in this regard, would you have any advice?

Bonzo
Posts: 2968
Joined: 2006-05-20T08:08:19-07:00
Location: Cambridge, England

Re: How to "swap out" underlying ImageMagick version?

Post by Bonzo » 2018-04-08T09:52:15-07:00

I do not know if you are aware that Imagick is not written or maintained by the people who look after Imagemagick.

Not a fan of Linux and I am currently fighting Raspbian on a different project unrelated to Imagemagick!

ojensen5115
Posts: 8
Joined: 2018-03-26T14:08:58-07:00
Authentication code: 1152

Re: How to "swap out" underlying ImageMagick version?

Post by ojensen5115 » 2018-04-08T13:28:27-07:00

I am aware (hence posting in the IMagick sub-forum rather than one of the ImageMagick ones) and figured it was a long shot. Still, thank you for your help, I appreciate the guidance you sent my way :)

Post Reply